using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace fall2015winhowtousedatetime
{
    public partial class Form1 : Form
    {
        DateTime dt;
        DateTime sw;
        bool swrun = false;
        int swhour = 0, swminute = 0, swsecond = 0;

        public Form1()
        {
            InitializeComponent();
            textBox11.Text = "100";
            timer2.Interval = 1000;
            timer2.Enabled = false;
            textBox10.Visible = false;
            textBox12.Text = swhour + " : " + swminute + " : " + swsecond;

        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            dt = DateTime.Now;
            textBox1.Text = dt.ToLongTimeString();
            textBox2.Text = dt.ToShortTimeString();
            textBox3.Text = dt.ToShortDateString();
            textBox4.Text = dt.ToLongDateString();
            textBox5.Text = dt.ToString();
            textBox6.Text = dt.Hour.ToString();
            textBox7.Text = dt.Minute.ToString();
            textBox8.Text = dt.Second.ToString();
            textBox9.Text = dt.Millisecond.ToString();
            //textBox10.Text = dt.Hour.ToString();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //start
            timer1.Interval = Convert.ToInt16(textBox11.Text);
            timer1.Enabled = true;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //sw start
            swrun = true;
            timer2.Enabled = true;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //sw stop
            swrun = false;
            timer2.Enabled = false;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //sw reset
            if (swrun == false)
            {
                swhour = 0;
                swminute = 0;
                swsecond = 0;
                textBox12.Text = swhour + " : " + swminute + " : " + swsecond;
            }
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            //sw.Hour = swhour;
            //sw.Minute = swminute;
            //sw.Second=swsecond++;
            swsecond++;
            if (swsecond == 60)
            {
                swminute++;
                swsecond = 0;
            }
            if (swminute == 60)
            {
                swhour++;
                swminute = 0;
            }
            textBox12.Text = swhour + " : " + swminute + " : " + swsecond;
        }
    }
}