using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace fall2015winhowtouselistview
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            initlistview();
        }
        private void initlistview()
        {
            //ListView listView1 = new ListView();
            //listView1.Bounds = new Rectangle(new Point(10, 10), new Size(300, 200));

            // Set the view to show details.
            listView1.View = View.Details;
            // Allow the user to edit item text.
            listView1.LabelEdit = true;
            // Allow the user to rearrange columns.
            listView1.AllowColumnReorder = true;
            // Display check boxes.
            listView1.CheckBoxes = true;
            // Select the item and subitems when selection is made.
            listView1.FullRowSelect = true;
            // Display grid lines.
            listView1.GridLines = true;
            // Sort the items in the list in ascending order.
            listView1.Sorting = SortOrder.Ascending;

            // Create three items and three sets of subitems for each item.
            ListViewItem item1 = new ListViewItem("name", 0);
            // Place a check mark next to the item.
            //item1.Checked = true;
            item1.SubItems.Add("Male/Female1");
            item1.SubItems.Add("Hair color");
            item1.SubItems.Add("Height");

            // Create columns for the items and subitems. 
            // Width of -2 indicates auto-size.
            listView1.Columns.Add("Item Column", -2, HorizontalAlignment.Left);
            listView1.Columns.Add("Column 2", -2, HorizontalAlignment.Left);
            listView1.Columns.Add("Column 3", -2, HorizontalAlignment.Left);
            listView1.Columns.Add("Column 4", -2, HorizontalAlignment.Center);

            //Add the items to the ListView.
            listView1.Items.AddRange(new ListViewItem[] { item1 });
            this.Controls.Add(listView1);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //insert
            ListViewItem item1 = new ListViewItem(textBox1.Text, 1);
            item1.SubItems.Add(textBox2.Text);
            item1.SubItems.Add(textBox3.Text);
            item1.SubItems.Add(textBox4.Text);
            listView1.Items.AddRange(new ListViewItem[] { item1 });

            this.Controls.Add(listView1);
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
        }
    }
}